;
; Asterisk Builtin mini-HTTP server
;

[general]
servername=doasterisk
enabled=yes
bindaddr=0.0.0.0
bindport=8088
;prefix=asterisk
sessionlimit=1000
;session_inactivity=30000
;session_keep_alive=15000
;enablestatic=yes
;redirect = / /static/config/index.html

;tlsenable=yes				; enable tls - default no.
;tlsbindaddr=0.0.0.0:8089			; address and port to bind to - default is bindaddr and port 8089.
;tlscertfile=</path/to/certificate.pem>	; path to the certificate file (*.pem) only.
;tlsprivatekey=</path/to/private.pem>	; path to private key file (*.pem) only.
; To produce a certificate you can e.g. use openssl. This places both the cert and private in same .pem file.
; openssl req -new -x509 -days 365 -nodes -out /tmp/foo.pem -keyout /tmp/foo.pem
; tlscipher=                             	; The list of allowed ciphers
;                                        	; if none are specified the following cipher
;                                        	; list will be used instead:
; ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-GCM-SHA384:
; ECDHE-ECDSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-DSS-AES128-GCM-SHA256:
; kEDH+AESGCM:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA:
; ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA384:
; ECDHE-RSA-AES256-SHA:ECDHE-ECDSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:
; DHE-DSS-AES128-SHA256:DHE-RSA-AES256-SHA256:DHE-DSS-AES256-SHA:DHE-RSA-AES256-SHA:
; AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:
; AES:CAMELLIA:DES-CBC3-SHA:!aNULL:!eNULL:!EXPORT:!DES:!RC4:!MD5:!PSK:!aECDH:
; !EDH-DSS-DES-CBC3-SHA:!EDH-RSA-DES-CBC3-SHA:!KRB5-DES-CBC3-SHA
;
; tlsdisablev1=yes                ; Disable TLSv1 support - if not set this defaults to "yes"
; tlsdisablev11=yes               ; Disable TLSv1.1 support - if not set this defaults to "no"
; tlsdisablev12=yes               ; Disable TLSv1.2 support - if not set this defaults to "no"
;
; tlsservercipherorder=yes        ; Use the server preference order instead of the client order
;                                 ; Defaults to "yes"

;[post_mappings]
;uploads = /var/lib/asterisk/uploads/
